; $Id: cvttest.pro,v 1.1 1998/01/26 17:46:18 rgr Exp $

; $RCSfile: cvttest.pro,v $
; $Author: rgr $
; $Date: 1998/01/26 17:46:18 $
; $Revision: 1.1 $

pro CvtTest, filename
   get_lun, lun
   openw, lun, filename

   NumberTimes = 365L * (2038L - 1996L)
   Second1996 = 86400L * lindgen(NumberTimes)
   time = cvtFromSec1996(Second1996)
   time_yd = cvtFromSec1996_yd(Second1996)
   sec1996 = CvtToSec1996(time)
   sec1996_yd = CvtTosec1996_yd(time_yd)
   diff = Second1996 - sec1996
   diff_yd = Second1996 - sec1996_yd
   for i=0,NumberTimes-1 do begin
      printf, lun, format="(i12.12,i4,i3,1x,a,1x,i4.4,'.',f10.6)",  $
             Second1996[i], diff[i], diff_yd[i],                    $
             StringDate1996(Second1996[i]), time_yd[i].year,        $
             time_yd[i].day
   endfor

   close, lun
end
