; $Id: unpackcrisstimdata.pro,v 1.1 1998/01/26 17:55:05 rgr Exp $

; $RCSfile: unpackcrisstimdata.pro,v $
; $Author: rgr $
; $Date: 1998/01/26 17:55:05 $
; $Revision: 1.1 $

pro UnpackCrisStimData, telemetry, index, event

   nevent = n_elements(index)

   n = nevent - 1
   event(0:n).stimdata.guard_pulsers   = 'ff'XB
   event(0:n).stimdata.ctr_pulsers     = 'ff'XB
   event(0:n).stimdata.guard_dac_level = 'ff'XB
   event(0:n).stimdata.ctr_dac_level   = 'ff'XB
   event(0:n).stimdata.guard_hi_gain   = 'ff'XB
   event(0:n).stimdata.ctr_hi_gain     = 'ff'XB
   event(0:n).stimdata.soft_led_pulse  = 'ff'XB

   set = where(event(0:n).stim ne 0, ncount)
   if (ncount gt 0) then begin
      if (ncount eq 1) then set = set(0)
      event(set).stimdata.guard_pulsers                               $
                      = ishft(telemetry(index(set) + 0), -4)
      event(set).stimdata.ctr_pulsers                                 $
                      = telemetry(index(set) + 0) and '0f'XB
      event(set).stimdata.guard_dac_level = telemetry(index(set) + 1)
      event(set).stimdata.ctr_dac_level   = telemetry(index(set) + 2)
      event(set).stimdata.guard_hi_gain                               $
                     = ishft(telemetry(index(set) + 3), -7) and '01'XB
      event(set).stimdata.ctr_hi_gain                                 $
                     = ishft(telemetry(index(set) + 3), -6) and '01'XB
      event(set).stimdata.soft_led_pulse                              $
                     = telemetry(index(set) + 3) and '3f'XB
      index(set) =index(set) + 4
   endif

end
