; $Id: unpackcristagbits.pro,v 1.1 1998/01/26 17:55:06 rgr Exp $

; $RCSfile: unpackcristagbits.pro,v $
; $Author: rgr $
; $Date: 1998/01/26 17:55:06 $
; $Revision: 1.1 $

pro UnpackcrisTagBits, telemetry, index, telescope, event

   n = n_elements(index) - 1
   if (n eq 0) then index = index(0)
   if (telescope eq 1) then begin
      event(0:n).prim_tag = fix(ishft(long(telemetry(index)), 8) or   $
                                             long(telemetry(index+1)))
      index = index + 2
   endif

   if (telescope eq 2) then begin
      set = where(event.got_2nd_tel ne 0, ncount)
      if (ncount ne 0) then begin
         if (ncount eq 1) then set =set(0)
         event(set).sec_tag =                                         $
                       fix(ishft(long(telemetry(index(set))), 8) or   $
                       long(telemetry(index(set)+1)))
         index(set) = index(set) + 2
      endif
   endif

end
