; $Id: extractcrissummary.pro,v 1.1 1998/02/09 21:37:41 rgr Exp $

; $RCSfile: extractcrissummary.pro,v $
; $Author: rgr $
; $Date: 1998/02/09 21:37:41 $
; $Revision: 1.1 $

function extractCrisSummary, subset

   common CrisSymbols

   nsummary = n_elements(subset)
   summary = replicate({L1CrisSummary}, nsummary)

   summary.ClockMinorFrame = subset.ClockMinorFrame
   summary.Second1996 = subset.Second1996
   summary.microsecond = subset.microsecond
   summary.FormatId = subset.FormatId
   summary.MajorFrameCount = subset.MajorFrameCount
   summary.MinorFrameCount = subset.MinorFrameCount
   summary.quality = subset.quality
   summary.MainBusVoltage = subset.MainBusVoltage
   summary.CrisCurrent = subset.CrisCurrent
   summary.CrisInternalTemperature1 = subset.CrisInternalTemperature1
   summary.CrisInternalTemperature2 = subset.CrisInternalTemperature2
   summary.CrisInterfaceTemperature = subset.CrisInterfaceTemperature
   ibeg = G$_Cris.HskpOffset
   iend = G$_Cris.HskpOffset + G$_Cris.NumHskpBytes - 1
   summary.CrisHskp = subset.CrisData[ibeg:iend]

   return, summary
end
