/* $Id: dumpSisTelemetry.c,v 1.1 1998/02/09 21:16:28 rgr Exp $ */

/* $RCSfile: dumpSisTelemetry.c,v $ */
/* $Author: rgr $ */
/* $Date: 1998/02/09 21:16:28 $ */
/* $Revision: 1.1 $ */

#include <stdio.h>

#include "SisConstants.h"
#include "sis/L1SisSubset.h"

#include "ace/stringDate1996.h"

void dumpSisTelemetry(struct L1SisSubset *subset)
{
   int i;

   printf("\n");
   printf("%s  ", stringDate1996(subset->Second1996));
   printf("Clock: %10.10lu     ", subset->ClockMinorFrame);
   printf("Major Frame: %1.1d  ", subset->MajorFrameCount);
   printf("Minor Frame: %2.2d", subset->MinorFrameCount);
   for (i=0; i<NUM_SIS_TELEMETRY_BYTES; i++) {
      if (!(i % 4))  printf(" ");
      if (!(i % 32)) printf("\n   ");
      printf("%2.2x", subset->SisData[i]);
   }
   printf("\n");
}
