; $Id: extractsissummary.pro,v 1.1 1998/02/09 22:54:27 rgr Exp $

; $RCSfile: extractsissummary.pro,v $
; $Author: rgr $
; $Date: 1998/02/09 22:54:27 $
; $Revision: 1.1 $

function extractSisSummary, subset

   common SisSymbols

   nsummary = n_elements(subset)
   summary = replicate({L1SisSummary}, nsummary)

   summary.ClockMinorFrame = subset.ClockMinorFrame
   summary.Second1996 = subset.Second1996
   summary.microsecond = subset.microsecond
   summary.FormatId = subset.FormatId
   summary.MajorFrameCount = subset.MajorFrameCount
   summary.MinorFrameCount = subset.MinorFrameCount
   summary.quality = subset.quality
   summary.MainBusVoltage = subset.MainBusVoltage
   summary.SisCurrent = subset.SisCurrent
   summary.SisInternalTemperature1 = subset.SisInternalTemperature1
   summary.SisInternalTemperature2 = subset.SisInternalTemperature2
   summary.SisInterfaceTemperature = subset.SisInterfaceTemperature
   summary.SisCoverTelltale = subset.SisCoverTelltale
   ibeg = G$_Sis.HskpOffset
   iend = G$_Sis.HskpOffset + G$_Sis.NumHskpBytes - 1
   summary.SisHskp = subset.SisData[ibeg:iend]

   return, summary
end
